Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels.cusermanager
Class CUserManager

    java.lang.Object
      org.jasig.portal.channels.cusermanager.CUserManagerPermissions
          org.jasig.portal.channels.cusermanager.CUserManager

All Implemented Interfaces:
  IChannel, IPermissible

    public class CUserManager

extends CUserManagerPermissions
implements IChannel, IPermissible

Version:
  $Revision: 1.6.2.1 $ $Date: 2005/08/05 18:39:26 $
Author:
  smb1@cornell.edu

Field Summary
`private ChannelRuntimeData` | `CRD`
`private ChannelStaticData` | `CSD`
`private IDataHandler` | `datasource`
`private PortalEvent` | `lastEvent`
`private static org.apache.commons.logging.Log` | `LOG`
`private boolean` | `ManagerMode`
`private java.lang.String` | `mode`
`private org.w3c.dom.Document` | `PersonalDocument` for pwd chng mode, we want to cache the user's info because there will be many more of these than admin channels
`private boolean` | `PwdChngMode`

Fields inherited from class org.jasig.portal.channels.cusermanager.CUserManagerPermissions
`activities, activityNames, activityTokens`

Constructor Summary
`CUserManager()`

Method Summary
`private IPerson` | `crd2persion(ChannelRuntimeData CRD)`
`private IDataHandler` | `getDataSource()`
`ChannelRuntimeProperties` | `getRuntimeProperties()` Returns channel runtime properties.
`void` | `receiveEvent(PortalEvent ev)` Process layout-level events coming from the portal.
`void` | `renderXML(org.xml.sax.ContentHandler out)` Output channel content to the portal
`void` | `setRuntimeData(ChannelRuntimeData rd)` Receive channel runtime data from the portal.
`void` | `setStaticData(ChannelStaticData sd)` Receive static channel data from the portal.

Methods inherited from class org.jasig.portal.channels.cusermanager.CUserManagerPermissions
`getActivityName, getActivityTokens, getOwnerName, getOwnerToken, getTargetName, getTargetTokens`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jasig.portal.IPermissible
`getActivityName, getActivityTokens, getOwnerName, getOwnerToken, getTargetName, getTargetTokens`

Field Detail

### LOG

    private static final org.apache.commons.logging.Log LOG

### datasource

    private IDataHandler datasource

### mode

    private java.lang.String mode

### CSD

    private ChannelStaticData CSD

### CRD

    private ChannelRuntimeData CRD

### ManagerMode

    private boolean ManagerMode

### PwdChngMode

    private boolean PwdChngMode

### lastEvent

    private PortalEvent lastEvent

### PersonalDocument

    private org.w3c.dom.Document PersonalDocument

  for pwd chng mode, we want to cache the user's info because there will be many more of these than admin channels

Constructor Detail

### CUserManager

    public CUserManager()

Method Detail

### getRuntimeProperties

    public ChannelRuntimeProperties getRuntimeProperties()

  Returns channel runtime properties. Satisfies implementation of Channel Interface.

  Specified by:
    `getRuntimeProperties` in interface `IChannel`
  Returns:
    handle to runtime properties
  See Also:
    `ChannelRuntimeProperties`

### receiveEvent

    public void receiveEvent(PortalEvent ev)

  Process layout-level events coming from the portal. Satisfies implementation of IChannel Interface.

  Specified by:
    `receiveEvent` in interface `IChannel`
  Parameters:
    `PortalEvent` - ev a portal layout event
  See Also:
    `PortalEvent`

### setStaticData

    public void setStaticData(ChannelStaticData sd)

  Receive static channel data from the portal. Satisfies implementation of IChannel Interface.

  Specified by:
    `setStaticData` in interface `IChannel`
  Parameters:
    `ChannelStaticData` - sd static channel data
  See Also:
    `ChannelStaticData`

### setRuntimeData

    public void setRuntimeData(ChannelRuntimeData rd)

  Receive channel runtime data from the portal. Satisfies implementation of IChannel Interface.

  Specified by:
    `setRuntimeData` in interface `IChannel`
  Parameters:
    `ChannelRuntimeData` - rd handle to channel runtime data
  See Also:
    `ChannelRuntimeData`

### renderXML

    public void renderXML(org.xml.sax.ContentHandler out)
                   throws PortalException

  Output channel content to the portal

  Specified by:
    `renderXML` in interface `IChannel`
  Parameters:
    `out` - a sax document handler
  Throws:
    `PortalException`

### getDataSource

    private IDataHandler getDataSource()
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### crd2persion

    private IPerson crd2persion(ChannelRuntimeData CRD)
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD